//
//  LEManagedFile.h
//  CocoaFilesInCoreData
//
//  Created by Will Larson on 3/11/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface LEManagedFile : NSManagedObject {
    NSFileWrapper           *fileWrapper;
}
// return a new LEManagedFile created from the file
// at newPath
+(id)initFromPath: (NSString *)newPath withContext: (NSManagedObjectContext *)aContext;
// return a fileWrapper wrapping the represented file
-(NSFileWrapper *)fileWrapper;
// return the file's icon
-(NSImage *)icon;
// return the file's filename
-(NSString *)filename;
// return the file's path
-(NSString *)path;
// set the path of the represented file
-(void)setPath: (NSString *)newPath;

@end